<div align="center">
  <a href="https://idesign-react.vercel.app/" target="_blank">
    <img alt="iDesign Logo" width="200" src="https://i.postimg.cc/fbLPyXJd/logo.png"/>
  </a>
</div>

<div align="center">
  <h1>iDesign</h1>
</div>

<div align="center">

基于 React 框架的 UI 组件库 [iDesign](https://idesign-react.vercel.app/)。

</div>

## 特性

### 1、全面

40 多个开箱即用的高质量组件, 可覆盖绝大部分的业务场景。

### 2、可配置的主题

包括海量的主题变量，可在开发时自定义配置。

### 3、TypeScript 友好

所有组件都是用 TypeScript 编写的，所以存在类型友好。

## 安装

[npm package](https://www.npmjs.com/package/idesign-react)

```bash
# npm
npm install idesign-react

# yarn
yarn add idesign-react
```

## 示例

```jsx
import React from 'react';
import ReactDOM from 'react-dom';
import { Button } from 'idesign-react';

function App() {
  return (
    <Button type="primary">
      Hello World
    </Button>
  );
}

ReactDOM.render(<App />, document.getElementById('app'));
```

## 生态

- [iDesign Vue](https://idesign-vue.vercel.app/)

# 浏览器兼容性

| [<img src="https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/08095282566ac4e0fd98f89aed934b65.png~tplv-uwbnlip3yd-png.png" alt="IE / Edge" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>IE / Edge | [<img src="https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/40ad73571879dd8d9fd3fd524e0e45a4.png~tplv-uwbnlip3yd-png.png" alt="Firefox" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Firefox | [<img src="https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/4f59d35f6d6837b042c8badd95871b1d.png~tplv-uwbnlip3yd-png.png" alt="Chrome" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Chrome | [<img src="https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/eee2667f837a9c2ed531805850bf43ec.png~tplv-uwbnlip3yd-png.png" alt="Safari" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Safari | [<img src="https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/3240334d3967dd263c8f4cdd2d93c525.png~tplv-uwbnlip3yd-png.png" alt="Opera" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Opera | [<img src="https://p1-arco.byteimg.com/tos-cn-i-uwbnlip3yd/f2454685df95a1a557a61861c5bec256.png~tplv-uwbnlip3yd-png.png" alt="Electron" width="24px" height="24px" />](http://godban.github.io/browsers-support-badges/)<br/>Electron |
| --------- | --------- | --------- | --------- | --------- | --------- |
| Edge 16| 31| 49 | 31 | 36 | last 2 versions |
